[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.BeginLayout

BeginLayout starts producing layout changes for the grid control.

## Declaration

Source position: dbgrids.pas line 420

`protected procedure TCustomDBGrid.BeginLayout;`

## Description

BeginLayout is a procedure which starts producing layout changes for the grid control. BeginLayout is used along with EndLayout to minimize the number of times layout changed notification events are triggered by the control. Layout changes occur when the control enables certain values in its Options property, when AutoAdjustColumn is called, and when the Columns collection links to Fields in the associated dataset.

BeginLayout increments the LayoutChangedCount variable that tracks the number of times the method is called for the control. EndLayout decrements that counter, and when it reaches 0 (zero), the DoLayoutChanged method is called.